<?php

/* ----------------------------------------------------------------------------- */
/* Setting Sections And Fields */
/* ----------------------------------------------------------------------------- */

function guto_toolkit_initialize_global_options() {
    add_settings_section( 'page_1_section', '', '', 'guto-toolkit-menu-slug-1' );
    add_settings_section( 'page_2_section', '', '', 'guto-toolkit-menu-slug-2' );
    add_settings_section( 'page_3_section', '', '', 'guto-toolkit-menu-slug-3' );
    add_settings_section( 'page_4_section', '', '', 'guto-toolkit-menu-slug-4' );

    require plugin_dir_path( __FILE__ ) . 'options/option-1.php';
    require plugin_dir_path( __FILE__ ) . 'options/option-2.php';

}
add_action('admin_init', 'guto_toolkit_initialize_global_options');

    require plugin_dir_path( __FILE__ ) . 'fields/field-1.php';
    require plugin_dir_path( __FILE__ ) . 'fields/field-2.php';

/* ----------------------------------------------------------------------------- */
/* Add Menu Page */
/* ----------------------------------------------------------------------------- */

function guto_toolkit_menu() {
    add_menu_page ( __('Guto Toolkit', 'guto-toolkit'), __('Guto Toolkit', 'guto-toolkit'), 'manage_options', 'guto-toolkit-plugin-options', 'guto_toolkit_plugin_menu_page', 'dashicons-screenoptions', '58' );
}
add_action('admin_menu', 'guto_toolkit_menu');

function guto_toolkit_plugin_menu_page() {
        ?>
        <?php
        if( isset( $_GET[ 'tab' ] ) ) {
            $active_tab = $_GET[ 'tab' ];
        } else {
            $active_tab = 'tab_one';
        }
        ?>
        <div class="gtad-wrap">
            <div class="gtad-top-header">
                <div class="gtad-top-header-left">
                    <div class="gtad-top-header-logo">
                        <img src="<?php echo plugin_dir_url( dirname( __FILE__ ) ) . 'admin/img/logo.png'; ?>" alt="Logo" />
                    </div>
                </div>
                <div class="gtad-top-header-right">
                    <a href="https://gutotheme.com" target="_blank" rel="nofollow" class="gtad-btn">
                        <?php echo esc_html__('Check Demos', 'guto-toolkit'); ?>
                    </a>
                </div>
            </div>
            <?php settings_errors(); ?>
            <div class="gtad-nav-tab-wrapper">
                <ul class="gtad-nav-tab">
                    <li><a href="?page=guto-toolkit-plugin-options&tab=tab_one" class="gtad-nav-tab <?php echo $active_tab == 'tab_one' ? 'gtad-nav-tab-active' : ''; ?>"><?php echo esc_html__('Overview', 'guto-toolkit'); ?></a></li>  <li><a href="?page=guto-toolkit-plugin-options&tab=tab_two" class="gtad-nav-tab <?php echo $active_tab == 'tab_two' ? 'gtad-nav-tab-active' : ''; ?>"><?php echo esc_html__('Elements', 'guto-toolkit'); ?></a></li>
                </ul>
                <form method="post" id="gtad-form-settings" class="gtad-nav-tab-content" action="options.php">
                <?php
                    if( $active_tab == 'tab_one' ) {
                        settings_fields( 'setting-group-1' );
                        do_settings_sections( 'guto-toolkit-menu-slug-1' );
                    }
                    else if( $active_tab == 'tab_two' )  { ?>
                        <div class="gtad-nav-tab-two">
                            <h2><?php echo esc_html__('Enable/Disable Guto Widgets', 'guto-toolkit'); ?></h2>
                            <p class="gtad-paragraph"><?php echo esc_html__('Use the Buttons to Enable or Disable all the Elements of Guto Toolkit at once.', 'guto-toolkit'); ?></p>
                            <div class="gtad-nav-tab-btn-group">
                                <button type="button" class="btn-show-all-widget"><?php echo esc_html__('Enable All', 'guto-toolkit'); ?></button>
                                <button type="button" class="btn-hide-all-widget"><?php echo esc_html__('Disable All', 'guto-toolkit'); ?></button>
                            </div>
                            <?php submit_button('', 'primary', 'guto-hide-show-widget-btn'); ?>
                            <?php
                            settings_fields( 'setting-group-2' );
                            do_settings_sections( 'guto-toolkit-menu-slug-2' );
                            submit_button('', 'primary', 'guto-hide-show-widget-btn');
                            ?>
                        </div>
                    <?php }
                    else if( $active_tab == 'tab_three' )  {
                        settings_fields( 'setting-group-3' );
                        do_settings_sections( 'guto-toolkit-menu-slug-3' );
                    }
                    else if( $active_tab == 'tab_four' )  {
                        settings_fields( 'setting-group-4' );
                        do_settings_sections( 'guto-toolkit-menu-slug-4' );
                    }
                    else if( $active_tab == 'tab_five' )  {
                        settings_fields( 'setting-group-5' );
                        do_settings_sections( 'guto-toolkit-menu-slug-5' );
                    }
                    else if( $active_tab == 'tab_six' )  {
                        settings_fields( 'setting-group-6' );
                        do_settings_sections( 'guto-toolkit-menu-slug-6' );
                    }
                    ?>
                </form>
            </div>
        </div>
    <?php
}