<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

// Initializing online demo contents
function _filter_guto_toolkit_fw_ext_backups_demos( $demos ) {
	$demos_array			 = array(
		'it-agency'	=> array(
			'title'			 => esc_html__( 'IT Agency Demo', 'guto-toolkit' ),
			'screenshot'	 => esc_url( 'https://demo.gutotheme.com/wp-content/uploads/2021/01/it-agency-demo2.jpg' ),
			'preview_link'	 => esc_url( 'https://demo.gutotheme.com/it-agency' ),
		),
		'fashion-shop'		 => array(
			'title'			 => esc_html__( 'Fashion Shop Demo', 'guto-toolkit' ),
			'screenshot'	 => esc_url( 'https://demo.gutotheme.com/wp-content/uploads/2020/11/fashion-shop-demo.jpg'),
			'preview_link'	 => esc_url( 'https://demo.gutotheme.com/fashion-shop/' ),
		),
		'news-and-magazine'	 => array(
			'title'			 => esc_html__( 'News and Magazine Demo', 'guto-toolkit' ),
			'screenshot'	 => esc_url( 'https://demo.gutotheme.com/wp-content/uploads/2021/04/news-and-magazine.jpg'),
			'preview_link'	 => esc_url( 'https://demo.gutotheme.com/news-and-magazine/' ),
		),
		'freelancer'		 => array(
			'title'			 => esc_html__( 'Freelancer Demo', 'guto-toolkit' ),
			'screenshot'	 => esc_url( 'https://demo.gutotheme.com/wp-content/uploads/2021/05/guto-freelancer-demo.jpg'),
			'preview_link'	 => esc_url( 'https://demo.gutotheme.com/freelancer/' ),
		),
		'motivational-speaker' => array(
			'title'			   => esc_html__( 'Motivational Speaker Demo', 'guto-toolkit' ),
			'screenshot'	   => esc_url( 'https://demo.gutotheme.com/wp-content/uploads/2021/05/motivational-speaker.png'),
			'preview_link'	   => esc_url( 'https://demo.gutotheme.com/motivational-speaker/' ),
		),


		'furniture-store'	 => array(
			'title'			 => esc_html__( 'Furniture Store Demo', 'guto-toolkit' ),
			'screenshot'	 => esc_url( 'https://demo.gutotheme.com/wp-content/uploads/2021/03/furniture-store.jpg'),
			'preview_link'	 => esc_url( 'https://demo.gutotheme.com/furniture-store/' ),
		),
		'organic-shop'		 => array(
			'title'			 => esc_html__( 'Organic Shop Demo', 'guto-toolkit' ),
			'screenshot'	 => esc_url( 'https://demo.gutotheme.com/wp-content/uploads/2021/04/organic-shop-en.jpg'),
			'preview_link'	 => esc_url( 'https://demo.gutotheme.com/organic-shop/' ),
		),
		'restaurant'		 => array(
			'title'			 => esc_html__( 'Restaurant Demo', 'guto-toolkit' ),
			'screenshot'	 => esc_url( 'https://demo.gutotheme.com/wp-content/uploads/2021/04/restaurant-.jpg'),
			'preview_link'	 => esc_url( 'https://demo.gutotheme.com/restaurant/' ),
		),
		'digital-marketing'	 => array(
			'title'			 => esc_html__( 'Digital Marketing Demo', 'guto-toolkit' ),
			'screenshot'	 => esc_url( 'https://demo.gutotheme.com/wp-content/uploads/2021/04/digital-marketing.jpg'),
			'preview_link'	 => esc_url( 'https://demo.gutotheme.com/digital-marketing/' ),
		),
		'insurance'		     => array(
			'title'			 => esc_html__( 'Insurance Demo', 'guto-toolkit' ),
			'screenshot'	 => esc_url( 'https://demo.gutotheme.com/wp-content/uploads/2021/04/guto-insurance.jpg'),
			'preview_link'	 => esc_url( 'https://demo.gutotheme.com/insurance/' ),
		),
		'coworking-space'	 => array(
			'title'			 => esc_html__( 'Coworking Space Demo', 'guto-toolkit' ),
			'screenshot'	 => esc_url( 'https://demo.gutotheme.com/wp-content/uploads/2021/04/coworking-space-demo.jpg'),
			'preview_link'	 => esc_url( 'https://demo.gutotheme.com/coworking-space/' ),
		),
		'yoga-instructor'	 => array(
			'title'			 => esc_html__( 'Yoga Instructor Demo', 'guto-toolkit' ),
			'screenshot'	 => esc_url( 'https://demo.gutotheme.com/wp-content/uploads/2021/05/yoga-instructor.jpg.png'),
			'preview_link'	 => esc_url( 'https://demo.gutotheme.com/yoga-instructor/' ),
		),
		'online-education'	 => array(
			'title'			 => esc_html__( 'Online Education Demo', 'guto-toolkit' ),
			'screenshot'	 => esc_url( 'https://gutotheme.com/wp-content/uploads/2022/02/education-lms-demo.webp'),
			'preview_link'	 => esc_url( 'https://demo.gutotheme.com/online-education/' ),
		),
		'recipe-blog'		 => array(
			'title'			 => esc_html__( 'Recipe Blog Demo', 'guto-toolkit' ),
			'screenshot'	 => esc_url( 'https://demo.gutotheme.com/wp-content/uploads/2021/05/recipe-blog-demo.jpg'),
			'preview_link'	 => esc_url( 'https://demo.gutotheme.com/recipe-blog/' ),
		),
		'lifestyle-blog'	 => array(
			'title'			 => esc_html__( 'LifeStyle Blog Demo', 'guto-toolkit' ),
			'screenshot'	 => esc_url( 'https://demo.gutotheme.com/wp-content/uploads/2021/05/guto-fashion-blog-demo.jpg'),
			'preview_link'	 => esc_url( 'https://demo.gutotheme.com/lifestyle-blog/' ),
		),
		'online-health-coach'=> array(
			'title'			 => esc_html__( 'Online Health Coach Demo', 'guto-toolkit' ),
			'screenshot'	 => esc_url( 'https://demo.gutotheme.com/wp-content/uploads/2021/05/online-health-coach-demo.jpg'),
			'preview_link'	 => esc_url( 'https://demo.gutotheme.com/online-health-coach/' ),
		),
		'life-coaching'		 => array(
			'title'			 => esc_html__( 'Life Coaching Demo', 'guto-toolkit' ),
			'screenshot'	 => esc_url( 'https://demo.gutotheme.com/wp-content/uploads/2021/05/life-coaching.png'),
			'preview_link'	 => esc_url( 'https://demo.gutotheme.com/life-coaching/' ),
		),
	);

	$download_url	 = 'https://gutotheme.com/wp-content/demo-content/';

	foreach ( $demos_array as $id => $data ) {
		$demo			 = new FW_Ext_Backups_Demo( $id, 'piecemeal', array(
			'url'		 => $download_url,
			'file_id'	 => $id,
		) );
		$demo->set_title( $data[ 'title' ] );
		$demo->set_screenshot( $data[ 'screenshot' ] );
		$demo->set_preview_link( $data[ 'preview_link' ] );
		$demos[ $demo->get_id() ]	 = $demo;
		unset( $demo );
	}
	return $demos;
}
add_filter( 'fw:ext:backups-demo:demos', '_filter_guto_toolkit_fw_ext_backups_demos' );
