<?php
/**
 * Contact Form Widget
 */

namespace Elementor;

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class Guto_CS_Contact_Area extends Widget_Base {

	public function get_name() {
        return 'CS_Contact_Area';
    }

	public function get_title() {
        return esc_html__( 'Contact Form', 'guto-toolkit' );
    }

	public function get_icon() {
        return 'eicon-form-horizontal';
    }

	public function get_categories() {
        return [ 'guto-coworking-space' ];
    }

	protected function _register_controls() {

        $this->start_controls_section(
            'Guto_Contact_Area',
            [
                'label' => esc_html__( 'Contact Area', 'guto-toolkit' ),
                'tab' => Controls_Manager::TAB_CONTENT,
            ]
        );

            // Form
            $this->add_control(
                'shortcode',
                [
                    'label' => esc_html__( 'Contact Shortcode', 'guto-toolkit' ),
                    'type' => Controls_Manager::TEXT,
                ]
            );

        $this->end_controls_section();
    }

	protected function render() {

        $settings = $this->get_settings_for_display();
        ?>

            <div class="container">
                <?php if($settings['shortcode']): ?>
                    <div class="cws-contact-form">
                        <?php echo do_shortcode( $settings['shortcode'] ); ?>
                    </div>
                <?php endif; ?>
            </div>

        <?php
	}



}

Plugin::instance()->widgets_manager->register( new Guto_CS_Contact_Area );