<?php
/**
 * CS Partner Logo Widget
 */

namespace Elementor;

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class Guto_CS_Partner_Logo extends Widget_Base {

	public function get_name() {
        return 'Guto_CSPartner_Logo';
    }

	public function get_title() {
        return esc_html__( 'Partner Logo', 'guto-toolkit' );
    }

	public function get_icon() {
        return 'eicon-logo';
    }

	public function get_categories() {
        return [ 'guto-coworking-space' ];
    }

	protected function _register_controls() {

        $this->start_controls_section(
			'partner_section',
			[
				'label' => esc_html__( 'Partner Logo Control', 'guto-toolkit' ),
				'tab' => Controls_Manager::TAB_CONTENT,
			]
        );

            $repeater = new Repeater();
            $repeater->add_control(
				'partner_logo',
				[
                    'label'       => esc_html__('Logo', 'guto-toolkit'),
                    'type'        => Controls_Manager::MEDIA,
                    'label_block' => true,
				]
            );
            $this->add_control(
                'logos',
                [
                    'label'   => esc_html__( 'Add Partner Logos', 'guto-toolkit' ),
                    'type'   => Controls_Manager::REPEATER,
                    'fields' => $repeater->get_controls(),
                ]
            );

        $this->end_controls_section();

    }

	protected function render() {
        $settings = $this->get_settings_for_display();

        $slider = $settings['logos'];
        ?>

        <div class="container">
            <div class="row justify-content-center align-items-center">
            <?php foreach($slider as $key => $item) :
                if( $item['partner_logo']['url'] != '' ): ?>
                    <div class="col-lg-2 col-sm-3 col-md-2 col-4">
                        <div class="cws-partner-item">
                            <img src="<?php echo esc_url( $item['partner_logo']['url'] ); ?>" alt="<?php echo esc_attr('logo', 'guto-toolkit'); ?>">
                        </div>
                    </div>
                    <?php endif;
                endforeach; ?>
            </div>
        </div>

        <?php
	}


}

Plugin::instance()->widgets_manager->register( new Guto_CS_Partner_Logo );