<?php
/**
 * DM Experience Widget
 */
namespace Elementor;
class Guto_DM_Experience extends Widget_Base{
    public function get_name(){
        return "Guto_DM_Experience";
    }
    public function get_title(){
        return "DM Experience";
    }
    public function get_icon(){
        return "eicon-gallery-group";
    }
    public function get_categories(){
        return ['guto-digital-marketing'];
    }
    protected function _register_controls(){

        $this->start_controls_section(
            'Guto_Experience',
            [
                'label' => esc_html__( 'Guto Experience', 'guto-toolkit' ),
                'tab' => Controls_Manager::TAB_CONTENT,
            ]
        );

            $this->add_control(
                'image1',
                [
                    'label'		=> esc_html__('Image', 'guto-toolkit'),
                    'type'		=> Controls_Manager:: MEDIA,
                ]
            );

            $this->add_control(
                'top_title',
                [
                    'label' 	=> esc_html__( 'Top Title', 'guto-toolkit' ),
                    'type' 		=> Controls_Manager::TEXTAREA,
                    'default' 	=> esc_html__('About Guto Marketing', 'guto-toolkit'),
                ]
            );
            $this->add_control(
                'title',
                [
                    'label' 	=> esc_html__( 'Title', 'guto-toolkit' ),
                    'type' 		=> Controls_Manager::TEXTAREA,
                    'default' 	=> esc_html__('We and Our Team Have been Working Successfully in Digital Marketing for Over 25 Years', 'guto-toolkit'),
                ]
            );

            $this->add_control(
                'title_tag',
                [
                    'label' 	=> esc_html__( 'Title Tag', 'guto-toolkit' ),
                    'type' 		=> Controls_Manager::SELECT,
                    'options' 	=> [
                        'h1'         => esc_html__( 'h1', 'guto-toolkit' ),
                        'h2'         => esc_html__( 'h2', 'guto-toolkit' ),
                        'h3'         => esc_html__( 'h3', 'guto-toolkit' ),
                        'h4'         => esc_html__( 'h4', 'guto-toolkit' ),
                        'h5'         => esc_html__( 'h5', 'guto-toolkit' ),
                        'h6'         => esc_html__( 'h6', 'guto-toolkit' ),
                    ],
                    'default' => 'h3',
                ]
            );

            $this->add_control(
                'content',
                [
                    'label' 	=> esc_html__( 'Content', 'guto-toolkit' ),
                    'type' 		=> Controls_Manager::TEXTAREA,
                    'default' 	=> esc_html__('Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Quis ipsum suspendisse ultrices gravida. Risus commodo viverra maecenas accumsan lacus vel facilisis.', 'guto-toolkit'),
                ]
            );

            $repeater = new Repeater();

            $repeater->add_control(
                'progress_title',
                [
                    'label' => esc_html__( 'Progress Title', 'guto-toolkit' ),
                    'type' => Controls_Manager::TEXT,
                    'label_block' => true,
                ]
            );
            $repeater->add_control(
                'progress_percentage',
                [
                    'label' => esc_html__( 'Progress Percentage', 'guto-toolkit' ),
                    'type' => Controls_Manager::TEXT,
                    'default'       => '95%',
                    'label_block'   => true,
                ]
            );
            $this->add_control(
                'progress_item',
                [
                    'label' => esc_html__( 'Add Progress', 'guto-toolkit' ),
                    'type' => Controls_Manager::REPEATER,
                    'fields' => $repeater->get_controls(),
                ]
            );
        $this-> end_controls_section();

        // Start Style content controls
        $this-> start_controls_section(
            'style',
            [
                'label'=>esc_html__('Style', 'guto-toolkit'),
                'tab'=> Controls_Manager::TAB_STYLE,
            ]
        );

            $this->add_control(
                'top_title_color',
                [
                    'label' => esc_html__( 'Top Title Color', 'guto-toolkit' ),
                    'type' => Controls_Manager::COLOR,
                    'selectors' => [
                        '{{WRAPPER}} .dm-experience-content span' => 'color: {{VALUE}}',
                    ],
                ]
            );

            $this->add_group_control(
                Group_Control_Typography::get_type(),
                [
                    'name' => 'top_title_typography',
                    'label' => esc_html__( 'Top Title Typography', 'guto-toolkit' ),
                    'scheme' => Core\Schemes\Typography::TYPOGRAPHY_1,
                    'selector' => '{{WRAPPER}} .dm-experience-content span',
                ]
            );
            $this->add_control(
                'title_color',
                [
                    'label' => esc_html__( 'Title Color', 'guto-toolkit' ),
                    'type' => Controls_Manager::COLOR,
                    'selectors' => [
                        '{{WRAPPER}} .dm-experience-content h3, .dm-experience-content h1, .dm-experience-content h2, .dm-experience-content h4, .dm-experience-content h5, .dm-experience-content h6' => 'color: {{VALUE}}',
                    ],
                ]
            );

            $this->add_group_control(
                Group_Control_Typography::get_type(),
                [
                    'name' => 'title_typography',
                    'label' => esc_html__( 'Title Typography', 'guto-toolkit' ),
                    'scheme' => Core\Schemes\Typography::TYPOGRAPHY_1,
                    'selector' => '{{WRAPPER}} .dm-experience-content h3, .dm-experience-content h1, .dm-experience-content h2, .dm-experience-content h4, .dm-experience-content h5, .dm-experience-content h6',
                ]
            );

            $this->add_control(
                'content_color',
                [
                    'label' => esc_html__( 'Content Color', 'guto-toolkit' ),
                    'type' => Controls_Manager::COLOR,
                    'selectors' => [
                        '{{WRAPPER}} .dm-experience-content p' => 'color: {{VALUE}}',
                    ],
                ]
            );

            $this->add_group_control(
                Group_Control_Typography::get_type(),
                [
                    'name' => 'content_typography',
                    'label' => esc_html__( 'Content Typography', 'guto-toolkit' ),
                    'scheme' => Core\Schemes\Typography::TYPOGRAPHY_1,
                    'selector' => '{{WRAPPER}} .dm-experience-content p',
                ]
            );

            $this->add_control(
                'pro_title_color',
                [
                    'label' => esc_html__( 'Progress Title Color', 'guto-toolkit' ),
                    'type' => Controls_Manager::COLOR,
                    'selectors' => [
                        '{{WRAPPER}} .dm-skill-bar .skill-bar .progress-title' => 'color: {{VALUE}}',
                    ],
                ]
            );

            $this->add_group_control(
                Group_Control_Typography::get_type(),
                [
                    'name' => 'pro_title_typography',
                    'label' => esc_html__( 'Progress Title Typography', 'guto-toolkit' ),
                    'scheme' => Core\Schemes\Typography::TYPOGRAPHY_1,
                    'selector' => '{{WRAPPER}} .dm-skill-bar .skill-bar .progress-title',
                ]
            );
            $this->add_control(
                'pro_percentage_color',
                [
                    'label' => esc_html__( 'Progress Percentage Color', 'guto-toolkit' ),
                    'type' => Controls_Manager::COLOR,
                    'selectors' => [
                        '{{WRAPPER}} .dm-skill-bar .skill-bar .progress-number-mark' => 'color: {{VALUE}}',
                    ],
                ]
            );

            $this->add_group_control(
                Group_Control_Typography::get_type(),
                [
                    'name' => 'pro_percentage_typography',
                    'label' => esc_html__( 'Progress Percentage Typography', 'guto-toolkit' ),
                    'scheme' => Core\Schemes\Typography::TYPOGRAPHY_1,
                    'selector' => '{{WRAPPER}} .dm-skill-bar .skill-bar .progress-number-mark',
                ]
            );

        $this-> end_controls_section();
    }
    protected function render()
    {
        $settings = $this->get_settings_for_display();?>

        <div class="container">
            <div class="row align-items-center">
                <?php if( $settings['image1']['url'] != '' ) : ?>
                    <div class="col-lg-6 col-md-12">
                        <div class="dm-experience-image">
                            <img src="<?php echo esc_url($settings['image1']['url']); ?>" alt="<?php echo esc_attr__('image','guto-toolkit'); ?>">
                        </div>
                    </div>
                <?php endif; ?>

                <div class="col-lg-6 col-md-12">
                    <div class="dm-experience-content">
                        <span><?php echo esc_html( $settings['top_title'] ); ?></span>
                        <<?php echo esc_attr( $settings['title_tag'] ); ?>>
                            <?php echo esc_html( $settings['title'] ); ?>
                        </<?php echo esc_attr( $settings['title_tag'] ); ?>>
                        <?php echo wp_kses_post( $settings['content'] ); ?>
                    </div>

                    <div class="dm-skill-bar">
                        <?php $i = 1; foreach( $settings['progress_item'] as $item ) :
                            if( $i == 2 ) :
                                $color_class = "two";
                            elseif( $i == 3 ) :
                                $color_class = "three";
                            elseif( $i == 4 ) :
                                $color_class = "four";
                            elseif( $i == 5 ) :
                                $color_class = "five";
                            else :
                                $color_class = "";
                            endif;
                        ?>
                            <div class="skill-bar" data-percentage="<?php echo esc_attr( $item['progress_percentage'] ); ?>">
                                <p class="progress-title-holder">
                                    <span class="progress-title"><?php echo esc_html( $item['progress_title'] ); ?></span>
                                    <span class="progress-number-wrapper">
                                        <span class="progress-number-mark">
                                            <span class="percent"></span>
                                            <span class="down-arrow"></span>
                                        </span>
                                    </span>
                                </p>
                                <div class="progress-content-outter">
                                    <div class="progress-content <?php echo esc_attr( $color_class ); ?>"></div>
                                </div>
                            </div>
                        <?php $i++; endforeach; ?>
                    </div>
                </div>
            </div>
        </div>

        <?php

    }


}

Plugin::instance()->widgets_manager->register( new Guto_DM_Experience );
