<?php
/**
 * DM Team Widget
 */
namespace Elementor;
class Guto_DM_Team extends Widget_Base{
    public function get_name(){
        return "Guto_DMTeam";
    }
    public function get_title(){
        return "DM Team";
    }
    public function get_icon(){
        return "eicon-gallery-group";
    }
    public function get_categories(){
        return ['guto-digital-marketing'];
    }
    protected function _register_controls(){

        $this->start_controls_section(
            'Guto_Team',
            [
                'label' => esc_html__( 'Guto Team', 'guto-toolkit' ),
                'tab' => Controls_Manager::TAB_CONTENT,
            ]
        );

            $this->add_control(
                'columns',
                [
                    'label' => esc_html__( 'Choose Columns', 'guto-toolkit' ),
                    'type' => Controls_Manager::SELECT,
                    'options' => [
                        '1'   => esc_html__( '1', 'guto-toolkit' ),
                        '2'   => esc_html__( '2', 'guto-toolkit' ),
                        '3'   => esc_html__( '3', 'guto-toolkit' ),
                        '4'   => esc_html__( '4', 'guto-toolkit' ),
                    ],
                    'default' => '4',
                ]
            );

            $repeater = new Repeater();

            $repeater->add_control(
                'member_img',
                [
                    'label' => esc_html__( 'Image', 'guto-toolkit' ),
                    'type' => Controls_Manager::MEDIA,
                    'label_block' => true,
                ]
            );
            $repeater->add_control(
                'name',
                [
                    'label' => esc_html__( 'Member Name', 'guto-toolkit' ),
                    'type' => Controls_Manager::TEXT,
                    'default'       => esc_html__('Sarah Taylor', 'guto-toolkit'),
                    'label_block'   => true,
                ]
            );
            $repeater->add_control(
                'designation',
                [
                    'label' => esc_html__( 'Designation', 'guto-toolkit' ),
                    'type' => Controls_Manager::TEXT,
                    'default'       => esc_html__('CEO & Founder', 'guto-toolkit'),
                    'label_block'   => true,
                ]
            );
            $repeater->add_control(
                'icon1',
                [
                    'label' => esc_html__( 'Social Icon One', 'guto-toolkit' ),
                    'type' => Controls_Manager::SELECT,
                    'label_block' => true,
                    'options' => guto_toolkit_icons(),
                ]
            );
            $repeater->add_control(
                'url1',
                [
                    'label' => esc_html__( 'Social Link One', 'guto-toolkit' ),
                    'type' => Controls_Manager::URL,
                ]
            );
            $repeater->add_control(
                'icon2',
                [
                    'label' => esc_html__( 'Social Icon Two', 'guto-toolkit' ),
                    'type' => Controls_Manager::SELECT,
                    'label_block' => true,
                    'options' => guto_toolkit_icons(),
                ]
            );
            $repeater->add_control(
                'url2',
                [
                    'label' => esc_html__( 'Social Link Two', 'guto-toolkit' ),
                    'type' => Controls_Manager::URL,
                ]
            );
            $repeater->add_control(
                'icon3',
                [
                    'label' => esc_html__( 'Social Icon Three', 'guto-toolkit' ),
                    'type' => Controls_Manager::SELECT,
                    'label_block' => true,
                    'options' => guto_toolkit_icons(),
                ]
            );
            $repeater->add_control(
                'url3',
                [
                    'label' => esc_html__( 'Social Link Three', 'guto-toolkit' ),
                    'type' => Controls_Manager::URL,
                ]
            );
            $repeater->add_control(
                'icon4',
                [
                    'label' => esc_html__( 'Social Icon Four', 'guto-toolkit' ),
                    'type' => Controls_Manager::SELECT,
                    'label_block' => true,
                    'options' => guto_toolkit_icons(),
                ]
            );
            $repeater->add_control(
                'url4',
                [
                    'label' => esc_html__( 'Social Link Four', 'guto-toolkit' ),
                    'type' => Controls_Manager::URL,
                ]
            );
            $repeater->add_control(
                'icon5',
                [
                    'label' => esc_html__( 'Social Icon Five', 'guto-toolkit' ),
                    'type' => Controls_Manager::SELECT,
                    'label_block' => true,
                    'options' => guto_toolkit_icons(),
                ]
            );
            $repeater->add_control(
                'url5',
                [
                    'label' => esc_html__( 'Social Link Five', 'guto-toolkit' ),
                    'type' => Controls_Manager::URL,
                ]
            );
            $this->add_control(
                'teams',
                [
                    'label' => esc_html__( 'Add Member', 'guto-toolkit' ),
                    'type' => Controls_Manager::REPEATER,
                    'fields' => $repeater->get_controls(),
                ]
            );
        $this-> end_controls_section();

        // Start Style content controls
        $this-> start_controls_section(
            'style',
            [
                'label' => esc_html__('Style', 'guto-toolkit'),
                'tab'   => Controls_Manager::TAB_STYLE,
            ]
        );

            $this->add_control(
                'card_color',
                [
                    'label' => esc_html__( 'Card Bg Color', 'guto-toolkit' ),
                    'type' => Controls_Manager::COLOR,
                    'selectors' => [
                        '{{WRAPPER}} .dm-single-team' => 'background-color: {{VALUE}}',
                    ],
                ]
            );

            $this->add_control(
                'name_color',
                [
                    'label' => esc_html__( 'Member Name Color', 'guto-toolkit' ),
                    'type' => Controls_Manager::COLOR,
                    'selectors' => [
                        '{{WRAPPER}} .dm-single-team h3' => 'color: {{VALUE}}',
                    ],
                ]
            );

            $this->add_control(
                'name_hcolor',
                [
                    'label' => esc_html__( 'Name Hover Color', 'guto-toolkit' ),
                    'type' => Controls_Manager::COLOR,
                    'selectors' => [
                        '{{WRAPPER}} .dm-single-team:hover h3' => 'color: {{VALUE}}',
                    ],
                ]
            );

            $this->add_group_control(
                Group_Control_Typography::get_type(),
                [
                    'name' => 'name_typography',
                    'label' => esc_html__( 'Name Typography', 'guto-toolkit' ),
                    'scheme' => Core\Schemes\Typography::TYPOGRAPHY_1,
                    'selector' => '{{WRAPPER}} .dm-single-team h3',
                ]
            );

            $this->add_control(
                'designation_color',
                [
                    'label' => esc_html__( 'Member Designation Color', 'guto-toolkit' ),
                    'type' => Controls_Manager::COLOR,
                    'selectors' => [
                        '{{WRAPPER}} .dm-single-team span' => 'color: {{VALUE}}',
                    ],
                ]
            );

            $this->add_control(
                'des_hcolor',
                [
                    'label' => esc_html__( 'Designation Hover Color', 'guto-toolkit' ),
                    'type' => Controls_Manager::COLOR,
                    'selectors' => [
                        '{{WRAPPER}} .dm-single-team:hover span' => 'color: {{VALUE}}',
                    ],
                ]
            );

            $this->add_group_control(
                Group_Control_Typography::get_type(),
                [
                    'name' => 'designation_typography',
                    'label' => esc_html__( 'Designation Typography', 'guto-toolkit' ),
                    'scheme' => Core\Schemes\Typography::TYPOGRAPHY_1,
                    'selector' => '{{WRAPPER}} .dm-single-team span',
                ]
            );

            $this->add_control(
                'social_color',
                [
                    'label' => esc_html__( 'Icon Color', 'guto-toolkit' ),
                    'type' => Controls_Manager::COLOR,
                    'selectors' => [
                        '{{WRAPPER}} .dm-single-team .dm-social li i' => 'color: {{VALUE}}',
                    ],
                ]
            );

            $this->add_control(
                'social_hcolor',
                [
                    'label' => esc_html__( 'Icon Hover Color', 'guto-toolkit' ),
                    'type' => Controls_Manager::COLOR,
                    'selectors' => [
                        '{{WRAPPER}} .dm-single-team:hover .dm-social li i' => 'color: {{VALUE}}',
                    ],
                ]
            );

        $this-> end_controls_section();
    }
    protected function render()
    {
        $settings = $this->get_settings_for_display();

        // Card Columns
        $columns = $settings['columns'];
        if ($columns == '1') {
            $column = 'col-lg-12 col-md-6';
        } elseif ($columns == '2') {
            $column = 'col-lg-6 col-md-6';
        } elseif ($columns == '3') {
            $column = 'col-lg-4 col-md-6';
        } else {
            $column = 'col-lg-3 col-md-6';
        } ?>

        <div class="container">
            <div class="row justify-content-center">
                <?php foreach( $settings['teams'] as $item ) : ?>
                    <div class="<?php echo esc_attr( $column ); ?>">
                        <div class="dm-single-team">
                            <?php if( $item['member_img']['url'] != '' ): ?>
                                <img src="<?php echo esc_url( $item['member_img']['url'] ); ?>" alt="<?php echo esc_attr( $item['name'] ); ?>">
                            <?php endif; ?>

                            <h3><?php echo esc_html( $item['name'] ); ?></h3>
                            <span><?php echo esc_html( $item['designation'] ); ?></span>

                            <ul class="dm-social">
                                <?php if( $item['icon1'] != '' && $item['url1']['url'] != '' ) : ?>
                                    <li><a href="<?php echo esc_url( $item['url1']['url'] ); ?>"><i class="<?php echo esc_attr( $item['icon1'] ); ?>"></i></a></li>
                                <?php endif; ?>

                                <?php if( $item['icon2'] != '' && $item['url2']['url'] != '' ) : ?>
                                    <li><a  href="<?php echo esc_url( $item['url2']['url'] ); ?>"><i class="<?php echo esc_attr( $item['icon2'] ); ?>"></i></a></li>
                                <?php endif; ?>

                                <?php if( $item['icon3'] != '' && $item['url3']['url'] != '' ) : ?>
                                    <li><a href="<?php echo esc_url( $item['url3']['url'] ); ?>"><i class="<?php echo esc_attr( $item['icon3'] ); ?>"></i></a></li>
                                <?php endif; ?>

                                <?php if( $item['icon4'] != '' && $item['url4']['url'] != '' ) : ?>
                                    <li><a href="<?php echo esc_url( $item['url4']['url'] ); ?>"><i class="<?php echo esc_attr( $item['icon4'] ); ?>"></i></a></li>
                                <?php endif; ?>

                                <?php if( $item['icon5'] != '' && $item['url5']['url'] != '' ) : ?>
                                    <li><a href="<?php echo esc_url( $item['url5']['url'] ); ?>"><i class="<?php echo esc_attr( $item['icon5'] ); ?>"></i></a></li>
                                <?php endif; ?>
                            </ul>
                        </div>
                    </div>
                <?php endforeach; ?>
            </div>
        </div>
        <?php

    }


}

Plugin::instance()->widgets_manager->register( new Guto_DM_Team );
