<?php
/**
 * FR Contact Area Widget
 */

namespace Elementor;

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class Guto_FR_Contact_Area extends Widget_Base {

	public function get_name() {
        return 'FRContact_Area';
    }

	public function get_title() {
        return esc_html__( 'FR Contact Area', 'guto-toolkit' );
    }

	public function get_icon() {
        return 'eicon-form-horizontal';
    }

	public function get_categories() {
        return [ 'guto-freelancer' ];
    }

	protected function register_controls() {

        $this->start_controls_section(
            'Guto_Contact_Area',
            [
                'label' => esc_html__( 'Guto Contact Area', 'guto-toolkit' ),
                'tab' => Controls_Manager::TAB_CONTENT,
            ]
        );

            // Form
            $this->add_control(
                'shortcode',
                [
                    'label' => esc_html__( 'Contact Shortcode', 'guto-toolkit' ),
                    'type' => Controls_Manager::TEXT,
                ]
            );

        $this->end_controls_section();

    }

	protected function render() {

        $settings = $this->get_settings_for_display();

        ?>
            <div class="fl-contact-me-area ptb-100">
                <div class="container">
                    <?php if($settings['shortcode']): ?>
                        <div class="fl-contact-form">
                            <?php echo do_shortcode( $settings['shortcode'] ); ?>
                        </div>
                    <?php endif; ?>
                </div>
            </div>

        <?php
	}



}

Plugin::instance()->widgets_manager->register( new Guto_FR_Contact_Area );