<?php
/**
 * Insurance Gallery Widget
 */

namespace Elementor;

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class Guto_Insurance_Gallery extends Widget_Base {

	public function get_name() {
        return 'Insurance_Gallery';
    }

	public function get_title() {
        return esc_html__( 'Insurance Gallery', 'guto-toolkit' );
    }

	public function get_icon() {
        return 'eicon-logo';
    }

	public function get_categories() {
        return [ 'guto-insurance' ];
    }

	protected function _register_controls() {

        $this->start_controls_section(
			'gallery_section',
			[
				'label' => esc_html__( 'Insurance Gallery Control', 'guto-toolkit' ),
				'tab' => Controls_Manager::TAB_CONTENT,
			]
        );

            $this->add_control(
                'images',
                [
                    'type'    => Controls_Manager::GALLERY,
                    'label'   => esc_html__( 'Add Gallery Images', 'guto-toolkit' ),
                ]
            );

        $this->end_controls_section();

    }

	protected function render() {

        $settings = $this->get_settings_for_display(); ?>

        <!-- Start Insurance Gallery Area -->
        <div class="insurance-gallery-area pt-100 pb-70">
            <div class="container-lg">
                <div class="row justify-content-center">
                    <?php foreach ( $settings['images'] as $image ) { ?>
                        <div class="col-lg-4 col-sm-6 col-md-6">
                            <?php if($image['url'] != ''): ?>
                                <div class="single-insurance-gallery-item">
                                    <a class="popup-btn-insurance" href="<?php echo esc_url($image['url']); ?>">
                                        <img src="<?php echo esc_url($image['url']); ?>" alt="Image">
                                    </a>
                                </div>
                            <?php endif; ?>
                        </div>
                    <?php } ?>
                </div>
            </div>
        </div>
        <!-- End Insurance Gallery Area -->

        <?php
	}


}

Plugin::instance()->widgets_manager->register( new Guto_Insurance_Gallery );
