<?php
/**
 * FLS Contact Area Widget
 */

namespace Elementor;

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class Guto_FLS_Contact_Area extends Widget_Base {

	public function get_name() {
        return 'FLS_Contact_Area';
    }

	public function get_title() {
        return esc_html__( 'FLS Contact Area', 'guto-toolkit' );
    }

	public function get_icon() {
        return 'eicon-form-horizontal';
    }

	public function get_categories() {
        return [ 'guto-lifestyle-blog' ];
    }

	protected function _register_controls() {

        $this->start_controls_section(
			'Guto_FLS_About_Area',
			[
				'label' => esc_html__( 'Contact Controls', 'guto-toolkit' ),
				'tab' 	=> Controls_Manager::TAB_CONTENT,
			]
		);

			$this->add_control(
				'add_title',
				[
					'label' 	=> esc_html__( 'Add Title', 'guto-toolkit' ),
					'type'      =>Controls_Manager:: TEXT,
					'default' 	=> esc_html__('Contact', 'guto-toolkit'),
				]
			);
        $this->end_controls_section();

        $this->start_controls_section(
			'about_sec_style',
			[
				'label' => esc_html__( 'Style', 'guto-toolkit' ),
				'tab' => Controls_Manager::TAB_STYLE,
			]
		);
            $this->add_control(
                'title_color',
                [
                    'label' => esc_html__( 'Add Title Color', 'guto-toolkit' ),
                    'type' => Controls_Manager::COLOR,
                    'selectors' => [
                        '{{WRAPPER}} .fls-section-title h2' => 'color: {{VALUE}}',
                    ],
                ]
            );

			$this->add_group_control(
                Group_Control_Typography::get_type(),
                [
                    'name' => 'title_typography',
                    'label' => esc_html__( 'Title Typography', 'guto-toolkit' ),
                    'selector' => '{{WRAPPER}} .fls-section-title h2',
                ]
            );

        $this->end_controls_section();
        
    }

	protected function render() {

        $settings = $this->get_settings_for_display();

        ?>
        <div class="container">

            <div class="fls-section-title">
                <h2><?php echo esc_html( $settings['add_title'] ); ?></h2>
            </div>
        </div>

        <?php
	}

	protected function _content_template() {}

}

Plugin::instance()->widgets_manager->register( new Guto_FLS_Contact_Area );