<?php
/**
 * FLS Contact Area Widget
 */

namespace Elementor;

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class Guto_FLS_Contact_Form extends Widget_Base {

	public function get_name() {
        return 'FLS_Contact_Form';
    }

	public function get_title() {
        return esc_html__( 'FLS Contact Form', 'guto-toolkit' );
    }

	public function get_icon() {
        return 'eicon-form-horizontal';
    }

	public function get_categories() {
        return [ 'guto-lifestyle-blog' ];
    }

	protected function _register_controls() {

        $this->start_controls_section(
            'Guto_Contact_Area',
            [
                'label' => esc_html__( 'Guto Contact Area', 'guto-toolkit' ),
                'tab' => Controls_Manager::TAB_CONTENT,
            ]
        );

            // Form
            $this->add_control(
                'shortcode',
                [
                    'label' => esc_html__( 'Contact Shortcode', 'guto-toolkit' ),
                    'type' => Controls_Manager::TEXT,
                ]
            );

        $this->end_controls_section();
        
    }

	protected function render() {

        $settings = $this->get_settings_for_display();

        ?>
            <?php if($settings['shortcode']): ?>
                <div id="contactForm">
                    <?php echo do_shortcode( $settings['shortcode'] ); ?>
                </div>
            <?php endif; ?>

        <?php
	}

	protected function _content_template() {}

}

Plugin::instance()->widgets_manager->register( new Guto_FLS_Contact_Form );