<?php
/**
 * RB Pecipe Search Widget
 */

namespace Elementor;

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class Guto_RB_Search_Wid extends Widget_Base {

	public function get_name() {
        return 'Guto_RB_Search_Wid';
    }

	public function get_title() {
        return esc_html__( 'Recipe Search', 'guto-toolkit' );
    }

	public function get_icon() {
        return 'eicon-post-slider';
    }

	public function get_categories() {
        return [ 'guto-recipe-blog' ];
	}
	protected function _register_controls() {

        $this->start_controls_section(
			'Guto_RB_Posts',
			[
				'label' => esc_html__( 'Recipe Search', 'guto-toolkit' ),
				'tab' => Controls_Manager::TAB_CONTENT,
			]
        );

            $this->add_control(
                'search_place', [
                    'label' => esc_html__( 'Search Placeholder', 'guto-toolkit' ),
                    'type' => Controls_Manager::TEXT,
                    'label_block' => true,
                ]
            );
        $this->end_controls_section();

    }

	protected function render() {

        $settings = $this->get_settings_for_display(); ?>

        <div class="widget widget_search">
            <form role="search" method="get" action="<?php echo home_url( '/' ); ?>" class="search-form">
                <input type="hidden" name="post_type" value="recipes" />
                <input type="text" class="search-field" placeholder="<?php echo esc_attr($settings['search_place']);  ?>" name="s">
                <button type="submit"><i class='bx bx-search'></i></button>
            </form>
        </div>

        <?php
	}



}

Plugin::instance()->widgets_manager->register( new Guto_RB_Search_Wid );