<?php
/**
 * Yoga About_Alexa Area Widget
 */

namespace Elementor;

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class Guto_Yoga_About_Alexa_Area extends Widget_Base {

	public function get_name() {
        return 'Yoga_About_Alexa_Area';
    }

	public function get_title() {
        return esc_html__( 'Yoga About Alexa', 'guto-toolkit' );
    }

	public function get_icon() {
        return 'eicon-info-box';
    }

	public function get_categories() {
        return [ 'guto-yoga' ];
    }

	protected function _register_controls() {

        $this->start_controls_section(
			'Yoga_About_Alexa',
			[
				'label' => esc_html__( 'Yoga About Alexa', 'guto-toolkit' ),
				'tab' => Controls_Manager::TAB_CONTENT,
			]
        );

            $this->add_control(
                'title',
                [
                    'label' => esc_html__( 'Title', 'guto-toolkit' ),
                    'type' => Controls_Manager::TEXT,
                    'default' => __('About <span>Alexa</span>, Your Most Efficient Yoga Master', 'guto-toolkit'),
                ]
            );

            $this->add_control(
                'title_tag',
                [
                    'label' => esc_html__( 'Title Tag', 'guto-toolkit' ),
                    'type' => Controls_Manager::SELECT,
                    'options' => [
                        'h1'         => esc_html__( 'h1', 'guto-toolkit' ),
                        'h2'         => esc_html__( 'h2', 'guto-toolkit' ),
                        'h3'         => esc_html__( 'h3', 'guto-toolkit' ),
                        'h4'         => esc_html__( 'h4', 'guto-toolkit' ),
                        'h5'         => esc_html__( 'h5', 'guto-toolkit' ),
                        'h6'         => esc_html__( 'h6', 'guto-toolkit' ),
                    ],
                    'default' => 'h2',
                ]
            );

            $this->add_control(
                'content',
                [
                    'label' => esc_html__( 'Content', 'guto-toolkit' ),
                    'type' => Controls_Manager::WYSIWYG,
                    'default' => esc_html__('Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. ipsum dolor sit amet, consetetur sadipscing elitr consetetur.', 'guto-toolkit'),
                ]
            );

            $this->add_control(
                'content_more',
                [
                    'label' => esc_html__( 'Content More', 'guto-toolkit' ),
                    'type' => Controls_Manager::WYSIWYG,
                    'default' => esc_html__('Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accu sam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata. ipsum dolor sit amet, consetetur sadipscing.', 'guto-toolkit'),
                ]
            );

            $this->add_control(
                'image',
                [
                    'label' => esc_html__( 'About Image', 'guto-toolkit' ),
                    'type'	 => Controls_Manager::MEDIA,
                    'show_label' => true,
                ]
            );

            $this->add_control(
                'image1',
                [
                    'label' => esc_html__( 'Shape Image 1', 'guto-toolkit' ),
                    'type'   => Controls_Manager::MEDIA,
                    'show_label' => true,
                ]
            );

            $this->add_control(
                'image2',
                [
                    'label' => esc_html__( 'Shape Image 2', 'guto-toolkit' ),
                    'type'   => Controls_Manager::MEDIA,
                    'show_label' => true,
                ]
            );

            $this->add_control(
                'big_title',
                [
                    'label'     => esc_html__( 'Big Title', 'guto-toolkit' ),
                    'type'      => Controls_Manager::TEXT,
                    'default'   => esc_html__("Yoga", 'guto-toolkit'),
                ]
            );

        $this->end_controls_section();

        $this->start_controls_section(
            'Yoga_About_Social',
            [
                'label' => esc_html__( 'Yoga About Social', 'guto-toolkit' ),
                'tab' => Controls_Manager::TAB_CONTENT,
            ]
        );

        $this->add_control(
            'guto_about_alexa_social',
            [
                'label' => esc_html__('Social Item', 'guto-toolkit'),
                'type' => Controls_Manager::REPEATER,
                'default' => [
                    [ 'name' => esc_html__(' Item #1', 'guto-toolkit') ],

                ],
                'fields' => [
                    [
                        'name'  => 'social_icon',
                        'label' => esc_html__( 'Icon', 'guto-toolkit' ),
                        'type' => Controls_Manager::ICON,
                        'label_block' => true,
                        'options' => guto_toolkit_icons(),
                        'default' => 'bx bxl-facebook'
                    ],
                    [
                        'name' => 'social_link',
                        'label' => esc_html__('Social Link', 'guto-toolkit'),
                        'type' => Controls_Manager::TEXT,
                        'default' => esc_html__('#', 'guto-toolkit'),
                        'label_block' => true,
                    ],
                ],
            ]
        );

        $this->end_controls_section();

         $this->start_controls_section(
            'Yoga_About_Award',
            [
                'label' => esc_html__( 'Yoga About Award', 'guto-toolkit' ),
                'tab' => Controls_Manager::TAB_CONTENT,
            ]
        );

        $this->add_control(
            'award_enable',
            [
                'label' => esc_html__( 'Enable Award Section', 'guto-toolkit' ),
                'type' => Controls_Manager::SELECT,
                'options' => [
                    '1'         => esc_html__( 'Enable', 'guto-toolkit' ),
                    '2'         => esc_html__( 'Disable', 'guto-toolkit' ),
                ],
                'default' => '2',
            ]
        );

        $this->add_control(
            'guto_about_alexa_award',
            [
                'label' => esc_html__('Award Item', 'guto-toolkit'),
                'type' => Controls_Manager::REPEATER,
                'default' => [
                    [ 'name' => esc_html__(' Item #1', 'guto-toolkit') ],

                ],
                'fields' => [
                    [
                        'name'  => 'award_title',
                        'label' => esc_html__( 'Award Title', 'guto-toolkit' ),
                        'type' => Controls_Manager::TEXT,
                        'default' => esc_html__('10 Years', 'guto-toolkit'),
                        'label_block' => true,
                    ],
                    [
                        'name' => 'award_desc',
                        'label' => esc_html__('Award Description', 'guto-toolkit'),
                        'type' => Controls_Manager::TEXTAREA,
                        'default' => esc_html__('Of Experience', 'guto-toolkit'),
                        'label_block' => true,
                    ],
                    [
                        'name' => 'award_img',
                        'label' => esc_html__('Award Image', 'guto-toolkit'),
                        'type'   => Controls_Manager::MEDIA,
                        'show_label' => true,
                    ],
                ],
            ]
        );

        $this->end_controls_section();

    }

	protected function render() {

        $settings = $this->get_settings_for_display();

        // Inline Editing
        $this-> add_inline_editing_attributes('title', 'none');
        $this-> add_inline_editing_attributes('content', 'none');

        $guto_about_alexa_social = $settings['guto_about_alexa_social'];
        $guto_about_alexa_award = $settings['guto_about_alexa_award'];

        ?>

        <!-- Start Yoga Alexa About Area -->
        <section class="yoga-alexa-about-area ptb-100">
            <div class="container">
                <div class="row align-items-center">
                    <div class="col-lg-6">
                        <div class="yoga-alexa-about-img">
                            <?php if( $settings['image']['url'] != '' ): ?>
                                <img src="<?php echo esc_url($settings['image']['url']); ?>" alt="<?php esc_attr_e('About Image', 'guto-toolkit'); ?>">
                            <?php endif; ?>
                            <?php if( $settings['image1']['url'] != '' ): ?>
                                <img src="<?php echo esc_url($settings['image1']['url']); ?>" alt="<?php esc_attr_e('Shape Image 1', 'guto-toolkit'); ?>" class="alexa-about-shape">
                            <?php endif; ?>
                            <?php if( ! $settings['big_title'] == '' ) : ?>
                                <span class="yoga"><?php echo esc_html__( $settings['big_title'] ); ?></span>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="col-lg-6">
                        <div class="yoga-alexa-about-content">
                            <<?php echo esc_attr( $settings['title_tag'] ); ?> <?php echo $this-> get_render_attribute_string('title'); ?>><?php echo wp_kses_post( $settings['title'] ); ?></<?php echo esc_attr( $settings['title_tag'] ); ?>>
                            <p><?php echo wp_kses_post( $settings['content'] ); ?></p>
                            <?php if( $settings['award_enable'] == '1' ) : ?>
                                <div class="yoga-certification">
                                    <div class="row">
                                        <?php foreach ($guto_about_alexa_award as $key => $value) : ?>
                                        <div class="col-lg-6 col-sm-6">
                                            <div class="certification">
                                                <?php if( $value['award_img']['url'] != '' ): ?>
                                                    <img src="<?php echo esc_url($value['award_img']['url']); ?>" alt="<?php esc_attr_e('Award Image', 'guto-toolkit'); ?>">
                                                <?php endif; ?>
                                                <h3><?php echo esc_html( $value['award_title'] ); ?></h3>
                                                <span><?php echo wp_kses_post( $value['award_desc'] ); ?></span>
                                            </div>
                                        </div>
                                        <?php endforeach; ?>
                                    </div>
                                </div>
                            <?php endif; ?>
                            <p><?php echo wp_kses_post( $settings['content_more'] ); ?></p>
                            <ul class="social-links">
                                <?php foreach ($guto_about_alexa_social as $key => $value) : ?>
                                    <li>
                                        <a href="<?php echo esc_url( $value['social_link'] ); ?>">
                                            <i class="<?php echo esc_html( $value['social_icon'] ); ?>"></i>
                                        </a>
                                    </li>
                                <?php endforeach; ?>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <?php if( $settings['image2']['url'] != '' ): ?>
                <div class="section-right-shape">
                    <img src="<?php echo esc_url($settings['image2']['url']); ?>" alt="<?php esc_attr_e('Shape Image 2', 'guto-toolkit'); ?>">
                </div>
            <?php endif; ?>
        </section>
        <!-- End Yoga Alexa About Area -->

        <?php
	}



}

Plugin::instance()->widgets_manager->register( new Guto_Yoga_About_Alexa_Area );
