<?php
/**
 * Yoga Gentle Widget
 */

namespace Elementor;

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class Guto_Yoga_Gentle extends Widget_Base {

	public function get_name() {
        return 'Yoga Gentle';
    }

	public function get_title() {
        return esc_html__( 'Yoga Gentle', 'guto-toolkit' );
    }

	public function get_icon() {
        return 'eicon-parallax';
    }

	public function get_categories() {
        return [ 'guto-yoga' ];
    }

	protected function _register_controls() {

        $this->start_controls_section(
			'content_section',
			[
				'label' => esc_html__( 'Content', 'guto-toolkit' ),
				'tab' => Controls_Manager::TAB_CONTENT,
			]
        );

            $this->add_control(
                'gentle_shape_img',
                [
                    'label' => esc_html__( 'Shape Image', 'guto-toolkit' ),
                    'type' => Controls_Manager::MEDIA,
                    'show_label' => true,
                ]
            );

        $this->end_controls_section();

        $this->start_controls_section(
            'content_item1',
            [
                'label' => esc_html__( 'Item 1', 'guto-toolkit' ),
                'tab' => Controls_Manager::TAB_CONTENT,
            ]
        );

            $this->add_control(
                'gentle_icon_img1',
                [
                    'label' => esc_html__( 'Icon', 'guto-toolkit' ),
                    'type' => Controls_Manager::MEDIA,
                    'show_label' => true,
                ]
            );

            $this->add_control(
                'title1',
                [
                    'label' => esc_html__( 'Title', 'guto-toolkit' ),
                    'type' => Controls_Manager::TEXT,
                    'default' => esc_html__('For Beginners', 'guto-toolkit'),
                ]
            );

            $this->add_control(
                'subtitle1',
                [
                    'label' => esc_html__( 'Subtitle', 'guto-toolkit' ),
                    'type' => Controls_Manager::TEXT,
                    'default' => esc_html__('Level 1 Training', 'guto-toolkit'),
                ]
            );

            $this->add_control(
                'desc1',
                [
                    'label' => esc_html__( 'Description', 'guto-toolkit' ),
                    'type' => Controls_Manager::TEXTAREA,
                    'default' => esc_html__('Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Quis ipsum suspendisse ultrices gravida. Risus commodo viverra maecenas.', 'guto-toolkit'),
                ]
            );

            $this->add_control(
                'btn_text1',
                [
                    'label' => esc_html__( 'Button Text', 'guto-toolkit' ),
                    'type' => Controls_Manager::TEXT,
                    'default' => esc_html__('Join For Free', 'guto-toolkit'),
                ]
            );

            $this->add_control(
                'btn_link1',
                [
                    'label' => esc_html__( 'Button Link', 'guto-toolkit' ),
                    'type' => Controls_Manager::TEXT,
                    'default' => esc_html__('#', 'guto-toolkit'),
                ]
            );

            $this->add_control(
                'price1',
                [
                    'label' => esc_html__( 'Description', 'guto-toolkit' ),
                    'type' => Controls_Manager::TEXTAREA,
                    'default' => __('<span class="price">$29</span><span class="month">Month</span>', 'guto-toolkit'),
                ]
            );

            $this->add_control(
                'gentle_featured_img1',
                [
                    'label' => esc_html__( 'Featured Image', 'guto-toolkit' ),
                    'type' => Controls_Manager::MEDIA,
                    'show_label' => true,
                ]
            );

        $this->end_controls_section();

        $this->start_controls_section(
            'content_item2',
            [
                'label' => esc_html__( 'Item 2', 'guto-toolkit' ),
                'tab' => Controls_Manager::TAB_CONTENT,
            ]
        );

            $this->add_control(
                'gentle_icon_img2',
                [
                    'label' => esc_html__( 'Icon', 'guto-toolkit' ),
                    'type' => Controls_Manager::MEDIA,
                    'show_label' => true,
                ]
            );

            $this->add_control(
                'title2',
                [
                    'label' => esc_html__( 'Title', 'guto-toolkit' ),
                    'type' => Controls_Manager::TEXT,
                    'default' => esc_html__('For Experting Yoga', 'guto-toolkit'),
                ]
            );

            $this->add_control(
                'subtitle2',
                [
                    'label' => esc_html__( 'Subtitle', 'guto-toolkit' ),
                    'type' => Controls_Manager::TEXT,
                    'default' => esc_html__('Advanced Yoga', 'guto-toolkit'),
                ]
            );

            $this->add_control(
                'desc2',
                [
                    'label' => esc_html__( 'Description', 'guto-toolkit' ),
                    'type' => Controls_Manager::TEXTAREA,
                    'default' => esc_html__('Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Quis ipsum suspendisse ultrices gravida. Risus commodo viverra maecenas.', 'guto-toolkit'),
                ]
            );

            $this->add_control(
                'btn_text2',
                [
                    'label' => esc_html__( 'Button Text', 'guto-toolkit' ),
                    'type' => Controls_Manager::TEXT,
                    'default' => esc_html__('Join For Free', 'guto-toolkit'),
                ]
            );

            $this->add_control(
                'btn_link2',
                [
                    'label' => esc_html__( 'Button Link', 'guto-toolkit' ),
                    'type' => Controls_Manager::TEXT,
                    'default' => esc_html__('#', 'guto-toolkit'),
                ]
            );

            $this->add_control(
                'price2',
                [
                    'label' => esc_html__( 'Description', 'guto-toolkit' ),
                    'type' => Controls_Manager::TEXTAREA,
                    'default' => __('<span class="price">$39</span><span class="month">Month</span>', 'guto-toolkit'),
                ]
            );

            $this->add_control(
                'gentle_featured_img2',
                [
                    'label' => esc_html__( 'Featured Image', 'guto-toolkit' ),
                    'type' => Controls_Manager::MEDIA,
                    'show_label' => true,
                ]
            );

        $this->end_controls_section();

        $this->start_controls_section(
            'content_item3',
            [
                'label' => esc_html__( 'Item 3', 'guto-toolkit' ),
                'tab' => Controls_Manager::TAB_CONTENT,
            ]
        );

            $this->add_control(
                'gentle_icon_img3',
                [
                    'label' => esc_html__( 'Icon', 'guto-toolkit' ),
                    'type' => Controls_Manager::MEDIA,
                    'show_label' => true,
                ]
            );

            $this->add_control(
                'title3',
                [
                    'label' => esc_html__( 'Title', 'guto-toolkit' ),
                    'type' => Controls_Manager::TEXT,
                    'default' => esc_html__('For Trainers Yoga', 'guto-toolkit'),
                ]
            );

            $this->add_control(
                'subtitle3',
                [
                    'label' => esc_html__( 'Subtitle', 'guto-toolkit' ),
                    'type' => Controls_Manager::TEXT,
                    'default' => esc_html__('Teachers Training', 'guto-toolkit'),
                ]
            );

            $this->add_control(
                'desc3',
                [
                    'label' => esc_html__( 'Description', 'guto-toolkit' ),
                    'type' => Controls_Manager::TEXTAREA,
                    'default' => esc_html__('Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Quis ipsum suspendisse ultrices gravida. Risus commodo viverra maecenas.', 'guto-toolkit'),
                ]
            );

            $this->add_control(
                'btn_text3',
                [
                    'label' => esc_html__( 'Button Text', 'guto-toolkit' ),
                    'type' => Controls_Manager::TEXT,
                    'default' => esc_html__('Join For Free', 'guto-toolkit'),
                ]
            );

            $this->add_control(
                'btn_link3',
                [
                    'label' => esc_html__( 'Button Link', 'guto-toolkit' ),
                    'type' => Controls_Manager::TEXT,
                    'default' => esc_html__('#', 'guto-toolkit'),
                ]
            );

            $this->add_control(
                'price3',
                [
                    'label' => esc_html__( 'Description', 'guto-toolkit' ),
                    'type' => Controls_Manager::TEXTAREA,
                    'default' => __('<span class="price">$49</span><span class="month">Month</span>', 'guto-toolkit'),
                ]
            );

            $this->add_control(
                'gentle_featured_img3',
                [
                    'label' => esc_html__( 'Featured Image', 'guto-toolkit' ),
                    'type' => Controls_Manager::MEDIA,
                    'show_label' => true,
                ]
            );

        $this->end_controls_section();

        $this->start_controls_section(
            'content_item4',
            [
                'label' => esc_html__( 'Item 4', 'guto-toolkit' ),
                'tab' => Controls_Manager::TAB_CONTENT,
            ]
        );

            $this->add_control(
                'gentle_icon_img4',
                [
                    'label' => esc_html__( 'Icon', 'guto-toolkit' ),
                    'type' => Controls_Manager::MEDIA,
                    'show_label' => true,
                ]
            );

            $this->add_control(
                'title4',
                [
                    'label' => esc_html__( 'Title', 'guto-toolkit' ),
                    'type' => Controls_Manager::TEXT,
                    'default' => esc_html__('Meditation Yoga', 'guto-toolkit'),
                ]
            );

            $this->add_control(
                'subtitle4',
                [
                    'label' => esc_html__( 'Subtitle', 'guto-toolkit' ),
                    'type' => Controls_Manager::TEXT,
                    'default' => esc_html__('Meditation Level', 'guto-toolkit'),
                ]
            );

            $this->add_control(
                'desc4',
                [
                    'label' => esc_html__( 'Description', 'guto-toolkit' ),
                    'type' => Controls_Manager::TEXTAREA,
                    'default' => esc_html__('Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Quis ipsum suspendisse ultrices gravida. Risus commodo viverra maecenas.', 'guto-toolkit'),
                ]
            );

            $this->add_control(
                'btn_text4',
                [
                    'label' => esc_html__( 'Button Text', 'guto-toolkit' ),
                    'type' => Controls_Manager::TEXT,
                    'default' => esc_html__('Join For Free', 'guto-toolkit'),
                ]
            );

            $this->add_control(
                'btn_link4',
                [
                    'label' => esc_html__( 'Button Link', 'guto-toolkit' ),
                    'type' => Controls_Manager::TEXT,
                    'default' => esc_html__('#', 'guto-toolkit'),
                ]
            );

            $this->add_control(
                'price4',
                [
                    'label' => esc_html__( 'Description', 'guto-toolkit' ),
                    'type' => Controls_Manager::TEXTAREA,
                    'default' => __('<span class="price">$59</span><span class="month">Month</span>', 'guto-toolkit'),
                ]
            );

            $this->add_control(
                'gentle_featured_img4',
                [
                    'label' => esc_html__( 'Featured Image', 'guto-toolkit' ),
                    'type' => Controls_Manager::MEDIA,
                    'show_label' => true,
                ]
            );

        $this->end_controls_section();

    }

	protected function render() {

        $settings = $this->get_settings_for_display(); ?>

        <!-- Start Yoga Gentle Yoga Area -->
        <section class="yoga-gentle-yoga-area ptb-100">
            <div class="container">
                <div class="tabs-area">
                    <ul class="nav nav-pills d-sm-flex d-block text-center justify-content-between pt-15" id="pills-tab" role="tablist">
                        <li class="nav-item">
                            <a class="nav-link active" id="pills-1-tab" data-bs-toggle="pill" href="#pills-1" role="tab" aria-controls="pills-1" aria-selected="true">
                                <?php if( $settings['gentle_icon_img1']['url'] != '' ): ?>
                                    <img src="<?php echo esc_url( $settings['gentle_icon_img1']['url'] ); ?>" alt="Image">
                                <?php endif; ?>
                                <h3><?php echo esc_html( $settings['title1'] ); ?></h3>
                                <span><?php echo esc_html( $settings['subtitle1'] ); ?></span>
                            </a>
                        </li>

                        <li class="nav-item">
                            <a class="nav-link" id="pills-2-tab" data-bs-toggle="pill" href="#pills-2" role="tab" aria-controls="pills-2" aria-selected="false">
                                <?php if( $settings['gentle_icon_img2']['url'] != '' ): ?>
                                    <img src="<?php echo esc_url( $settings['gentle_icon_img2']['url'] ); ?>" alt="Image">
                                <?php endif; ?>
                                <h3><?php echo esc_html( $settings['title2'] ); ?></h3>
                                <span><?php echo esc_html( $settings['subtitle2'] ); ?></span>
                            </a>
                        </li>

                        <li class="nav-item">
                            <a class="nav-link" id="pills-3-tab" data-bs-toggle="pill" href="#pills-3" role="tab" aria-controls="pills-3" aria-selected="false">
                                <?php if( $settings['gentle_icon_img3']['url'] != '' ): ?>
                                    <img src="<?php echo esc_url( $settings['gentle_icon_img3']['url'] ); ?>" alt="Image">
                                <?php endif; ?>
                                <h3><?php echo esc_html( $settings['title3'] ); ?></h3>
                                <span><?php echo esc_html( $settings['subtitle3'] ); ?></span>
                            </a>
                        </li>

                        <li class="nav-item">
                            <a class="nav-link" id="pills-4-tab" data-bs-toggle="pill" href="#pills-4" role="tab" aria-controls="pills-4" aria-selected="false">
                                <?php if( $settings['gentle_icon_img4']['url'] != '' ): ?>
                                    <img src="<?php echo esc_url( $settings['gentle_icon_img4']['url'] ); ?>" alt="Image">
                                <?php endif; ?>
                                <h3><?php echo esc_html( $settings['title4'] ); ?></h3>
                                <span><?php echo esc_html( $settings['subtitle4'] ); ?></span>
                            </a>
                        </li>
                    </ul>
                </div>
                <div class="tab-content" id="pills-tabContent">
                    <div class="tab-pane fade show active" id="pills-1" role="tabpanel" aria-labelledby="pills-1-tab">
                        <div class="row align-items-center">
                            <div class="col-lg-6">
                                <div class="gentle-yoga-content">
                                    <h2><?php echo esc_html( $settings['title1'] ); ?></h2>
                                    <p><?php echo wp_kses_post( $settings['desc1'] ); ?></p>
                                    <a class="yoga-default-btn" href="<?php echo esc_url( $settings['btn_link1'] ); ?>">
                                        <?php echo esc_html( $settings['btn_text1'] ); ?>
                                    </a>
                                </div>
                            </div>

                            <div class="col-lg-6">
                                <div class="gentle-yoga-img gentle-yoga-1">
                                    <?php if( $settings['gentle_featured_img1']['url'] != '' ): ?>
                                        <img src="<?php echo esc_url( $settings['gentle_featured_img1']['url'] ); ?>" alt="Image">
                                    <?php endif; ?>
                                    <div class="yoga-price">
                                        <?php echo wp_kses_post( $settings['price1'] ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="tab-pane fade" id="pills-2" role="tabpanel" aria-labelledby="pills-2-tab">
                        <div class="row align-items-center">
                            <div class="col-lg-6">
                                <div class="gentle-yoga-content">
                                    <h2><?php echo esc_html( $settings['title2'] ); ?></h2>
                                    <p><?php echo wp_kses_post( $settings['desc2'] ); ?></p>
                                    <a class="yoga-default-btn" href="<?php echo esc_url( $settings['btn_link2'] ); ?>">
                                        <?php echo esc_html( $settings['btn_text2'] ); ?>
                                    </a>
                                </div>
                            </div>

                            <div class="col-lg-6">
                                <div class="gentle-yoga-img gentle-yoga-2">
                                    <?php if( $settings['gentle_featured_img2']['url'] != '' ): ?>
                                        <img src="<?php echo esc_url( $settings['gentle_featured_img2']['url'] ); ?>" alt="Image">
                                    <?php endif; ?>
                                    <div class="yoga-price">
                                        <?php echo wp_kses_post( $settings['price2'] ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="tab-pane fade" id="pills-3" role="tabpanel" aria-labelledby="pills-3-tab">
                        <div class="row align-items-center">
                            <div class="col-lg-6">
                                <div class="gentle-yoga-content">
                                    <h2><?php echo esc_html( $settings['title3'] ); ?></h2>
                                    <p><?php echo wp_kses_post( $settings['desc3'] ); ?></p>
                                    <a class="yoga-default-btn" href="<?php echo esc_url( $settings['btn_link3'] ); ?>">
                                        <?php echo esc_html( $settings['btn_text3'] ); ?>
                                    </a>
                                </div>
                            </div>

                            <div class="col-lg-6">
                                <div class="gentle-yoga-img gentle-yoga-3">
                                    <?php if( $settings['gentle_featured_img3']['url'] != '' ): ?>
                                        <img src="<?php echo esc_url( $settings['gentle_featured_img3']['url'] ); ?>" alt="Image">
                                    <?php endif; ?>
                                    <div class="yoga-price">
                                        <?php echo wp_kses_post( $settings['price3'] ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="tab-pane fade" id="pills-4" role="tabpanel" aria-labelledby="pills-4-tab">
                        <div class="row align-items-center">
                            <div class="col-lg-6">
                                <div class="gentle-yoga-content">
                                    <h2><?php echo esc_html( $settings['title4'] ); ?></h2>
                                    <p><?php echo wp_kses_post( $settings['desc4'] ); ?></p>
                                    <a class="yoga-default-btn" href="<?php echo esc_url( $settings['btn_link4'] ); ?>">
                                        <?php echo esc_html( $settings['btn_text4'] ); ?>
                                    </a>
                                </div>
                            </div>

                            <div class="col-lg-6">
                                <div class="gentle-yoga-img gentle-yoga-4">
                                    <?php if( $settings['gentle_featured_img4']['url'] != '' ): ?>
                                        <img src="<?php echo esc_url( $settings['gentle_featured_img4']['url'] ); ?>" alt="Image">
                                    <?php endif; ?>
                                    <div class="yoga-price">
                                        <?php echo wp_kses_post( $settings['price4'] ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="section-left-shape">
                <?php if( $settings['gentle_shape_img']['url'] != '' ): ?>
                    <img src="<?php echo esc_url( $settings['gentle_shape_img']['url'] ); ?>" alt="Gentle">
                <?php endif; ?>
            </div>
        </section>
        <!-- End Yoga Gentle Yoga Area -->

        <?php
	}



}

Plugin::instance()->widgets_manager->register( new Guto_Yoga_Gentle );
