<?php
 /**
 * Insurance Service Widget
 */
class guto_insurance_service extends WP_Widget{

    function __construct(){
        $widget_ops = array('description' => esc_html__('Display Insurance Service', 'guto-toolkit'));
        parent::__construct( false, esc_html__('Insurance Service List', 'guto-toolkit'), $widget_ops);
    }

    function widget($args, $instance){
        extract($args);
        global $guto_theme;

        $title  = apply_filters('widget_title', $instance['title']);

        echo wp_kses_post($before_widget); ?>

        <div class="contact-service-box">
            <?php if($title) echo wp_kses_post($before_title.$title.$after_title); ?>
            <ul class="insurance-list">
                <?php 
                 // Services Query
                global $post;
                $add_class_loop = $post->ID;
                $args = array(
                    'post_type'       => 'services',
                    'posts_per_page'  => $instance['service-number'],
                    'order'           => $instance['service-order']
                );
                $services_array_list = new \WP_Query( $args ); ?>
                <?php while($services_array_list->have_posts()): $services_array_list->the_post(); ?>
                    <li>
                        <a <?php if( is_single() && $add_class_loop == $post->ID) print 'style="color:#ffffff;background:#ff6377;border-color:#ff6377;"' ?> href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                    </li>
                    <?php if( is_single() && $add_class_loop == $post->ID) { ?>
                        <style>
                            .insurance-details-sidebar .insurance-list li a::before {
                                background: #ffffff;
                            }
                        </style>
                      <?php } ?>
                <?php endwhile; ?>
                <?php wp_reset_query(); ?>  
            </ul>
        </div>
        <?php
        echo wp_kses_post($after_widget);
    }

    function update($new_instance, $old_instance){
        $instance                    = $old_instance;
        $instance['title']           = strip_tags($new_instance['title']);
        $instance['service-number']  = $new_instance['service-number'];
        $instance['service-order']   = $new_instance['service-order'];
        return $instance;
    }

    function form($instance){
        $defaults = array(
            'title'             => esc_html__('', 'guto-toolkit'),
            'service-number'    => esc_html__('6', 'guto-toolkit'),
        );
        $instance = wp_parse_args((array)$instance, $defaults); ?>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('title')); ?>">
                <?php esc_html_e('Title:', 'guto-toolkit'); ?>
                <input class="widget" id="<?php echo esc_attr($this->get_field_id('title')); ?>" name="<?php echo esc_attr($this->get_field_name('title')); ?>" type="text" value="<?php echo wp_kses_post($instance['title']); ?>" />
            </label>
        </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('service-number')); ?>">
                <?php esc_html_e('Number Of Items:', 'guto-toolkit'); ?>
                <input class="widget" id="<?php echo esc_attr($this->get_field_id('service-number')); ?>" name="<?php echo esc_attr($this->get_field_name('service-number')); ?>" type="number" value="<?php echo wp_kses_post($instance['service-number']); ?>" />
            </label>
        </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('service-order')); ?>">
                <?php esc_html_e('Order By:', 'guto-toolkit'); ?>
                <select class="widefat" id="<?php echo $this->get_field_id( 'service-order' ); ?>" name="<?php echo $this->get_field_name( 'service-order' ); ?>">
                    <option value="desc" <?php if(isset($instance['service-order'])) : selected($instance['service-order'], "desc"); endif; ?>><?php echo esc_html__('Descending', 'guto-toolkit'); ?>
                    </option>
                    <option value="asc" <?php if(isset($instance['service-order'])) : selected($instance['service-order'], "asc"); endif; ?>><?php echo esc_html__('Ascending', 'guto-toolkit'); ?>
                    </option>         
                </select>
            </label>
        </p>
        <?php
    }

}

function guto_register_insurance_service() {
    register_widget('guto_insurance_service');
}

add_action('widgets_init', 'guto_register_insurance_service');
