<?php

	class guto_posts_subscribe_us extends WP_Widget {
	    public function __construct() {
	    	parent::__construct('guto_posts_subscribe_us', __('Guto Sidebar Newsletter', 'guto-toolkit'), array(
	            'description' => __( 'This is newsletter widget.', 'guto-toolkit')
	    	));
	    }
        
	    public function widget( $args, $instance ) { ?>

	    	<!-- Start Newsletter Widget -->
			<div class="nm-newsletter-box">
				<?php $title = $instance['title']; 
				if( isset( $title ) && ! $title == '' ) : ?>
	    	        <h3><?php echo esc_html__( $title ); ?></h3>
	    	    <?php endif;

				$desc = $instance['desc'];
				$button_text = $instance['button_text']; 
				
				?>
				<p><?php echo esc_html__( $desc ); ?></p>

				<?php $form_action_url_sidebar = $instance['form-action-url'];
				if( isset( $instance['show-newsletter'] ) ) : 
				$show_newsletter = $instance['show-newsletter']; ?>

					<form class="newsletter-form restaurant-newsletter-form mailchimp" method="post">
                        <input type="email" class="form-control" placeholder="<?php echo esc_html__('Your email address', 'guto-toolkit'); ?>" name="EMAIL" required autocomplete="off">
                        <button class="default-btn disabled" type="submit">
							<?php echo esc_html__( $button_text ); ?>
						</button>
                        <p class="mchimp-errmessage" style="display: none;"></p>
                        <p class="mchimp-sucmessage" style="display: none;"></p>
                    </form>					
				<?php endif; ?>
				<script>
				    var guto_subscribe_action_url = '<?php echo esc_html__( $form_action_url_sidebar ); ?>';
				</script>
			</div>
			<!--/ End Newsletter Widget -->

			<script>
                ;(function($){
                    "use strict";
                    $(document).ready(function () {
                        // MAILCHIMP
                        if ($(".mailchimp").length > 0) {
                            $(".mailchimp").ajaxChimp({
                                callback: mailchimpCallback,
                                url: guto_subscribe_action_url
                            });
                        }
                        $(".memail").on("focus", function () {
                            $(".mchimp-errmessage").fadeOut();
                            $(".mchimp-sucmessage").fadeOut();
                        });
                        $(".memail").on("keydown", function () {
                            $(".mchimp-errmessage").fadeOut();
                            $(".mchimp-sucmessage").fadeOut();
                        });
                        $(".memail").on("click", function () {
                            $(".memail").val("");
                        });

                        function mailchimpCallback(resp) {
                            if (resp.result === "success") {
                                $(".mchimp-errmessage").html(resp.msg).fadeIn(1000);
                                $(".mchimp-sucmessage").fadeOut(500);
                            } else if (resp.result === "error") {
                                $(".mchimp-errmessage").html(resp.msg).fadeIn(1000);
                            }
                        }
                    });
                })(jQuery)
            </script>
			
	    <?php }

	    public function form( $instance ) {
            if( isset( $instance['title'] ) ) :
	    	    $title = $instance['title'];
	        endif;
	        if( isset( $instance['desc'] ) ) :
                $desc = $instance['desc'];
            endif;
			if( isset( $instance['button_text'] ) ) :
                $button_text = $instance['button_text'];
            endif;
            if( isset( $instance['show-newsletter'] ) ) :
                $show_newsletter = $instance['show-newsletter'];
            endif;
            if( isset( $instance['form-action-url'] ) ) :
	    	    $form_action_url = $instance['form-action-url'];
	        endif;
             
	    ?>

	    <P>
	        <label for="<?php echo esc_html( $this->get_field_id('title') ); ?>"><?php echo __( 'Title:', 'guto-toolkit'); ?></label>
	    </p>

	    <p>
	       <input type="text" class="widefat" id="<?php echo esc_html( $this->get_field_id('title') ); ?>" name="<?php echo esc_html( $this->get_field_name('title') ); ?>" value="<?php if( isset( $title ) ) : echo esc_attr( $title ); endif; ?>">
	    </p>

	    <P>
	        <label for="<?php echo esc_html( $this->get_field_id('desc') ); ?>"><?php echo __( 'Description:', 'guto-toolkit'); ?></label>
	    </p>

	    <p>
	       <textarea rows="10" cols="50" class="large-text code" id="<?php echo esc_html( $this->get_field_id('desc') ); ?>" name="<?php echo esc_html( $this->get_field_name('desc') ); ?>"><?php if( isset( $desc ) ) : echo esc_attr( $desc ); endif; ?></textarea>
	    </p>

		<P>
	        <label for="<?php echo esc_html( $this->get_field_id('button_text') ); ?>"><?php echo __( 'Subscribe Now:', 'guto-toolkit'); ?></label>
	    </p>

		<p>
	       <input type="text" class="widefat" id="<?php echo esc_html( $this->get_field_id('button_text') ); ?>" name="<?php echo esc_html( $this->get_field_name('button_text') ); ?>" value="<?php if( isset( $button_text ) ) : echo esc_attr( $button_text ); endif; ?>">
	    </p>

	    <p>
	        <label for="<?php echo $this->get_field_id('show-newsletter'); ?>"><?php echo __( 'Show Newsletter:', 'guto-toolkit'); ?></label>
	        <input <?php if( isset( $instance['show-newsletter'] ) ) : checked($show_newsletter, 1); endif; ?> type="checkbox" id="<?php echo $this->get_field_id('show-newsletter'); ?>" name="<?php echo esc_html( $this->get_field_name('show-newsletter') ); ?>" value="1">
        </p>

        <P>
	        <label for="<?php echo esc_html( $this->get_field_id('form-action-url') ); ?>"><?php echo __( 'Form Action URL:', 'guto-toolkit'); ?></label>
	    </p>

        <p>
	       <input type="text" class="widefat" id="<?php echo esc_html( $this->get_field_id('form-action-url') ); ?>" name="<?php echo esc_html( $this->get_field_name('form-action-url') ); ?>" value="<?php if( isset( $form_action_url ) ) : echo esc_attr( $form_action_url ); endif; ?>">
	    </p>

	    <p><?php echo __('Get this URL from your mailchimp account ', 'guto-toolkit'); ?><a href="https://us7.admin.mailchimp.com/lists/dashboard/signup-forms/" target="_blank"><?php echo __('Click here', 'guto-toolkit'); ?></a></p>

	    <?php }
	}

	function guto_posts_subscribe_us_function() {
		register_widget('guto_posts_subscribe_us');
	}

	add_action('widgets_init', 'guto_posts_subscribe_us_function');
	