<?php
 /**
 * Yoga Contact Widget
 */
class guto_yoga_contact extends WP_Widget{

    function __construct(){
        $widget_ops = array('description' => esc_html__('Display Contact Info', 'guto-toolkit'));
        parent::__construct( false, esc_html__('Yoga Contact Info', 'guto-toolkit'), $widget_ops);
    }

    function widget($args, $instance){
        extract($args);
        global $guto_theme;

        $title  = apply_filters('widget_title', $instance['title']);

        echo wp_kses_post($before_widget); ?>

            <?php if($title) echo wp_kses_post($before_title.$title.$after_title); ?>
            <ul class="yoga-address">
                <?php if( $instance['location'] != '' ): ?>
                    <li>
                        <span>A</span>
                        <?php echo wp_kses_post($instance['location']); ?>
                    </li>
                <?php endif; ?>
                <?php if( $instance['phone1'] || $instance['phone2'] != '' ): ?>
                    <li>
                        <span>P</span>
                        <a href="<?php echo esc_url( $instance['phone_link1'] ); ?>">
                            <?php echo wp_kses_post($instance['phone1']); ?></a>
                        <a href="<?php echo esc_url( $instance['phone_link2'] ); ?>">
                            <?php echo wp_kses_post($instance['phone2']); ?></a>
                    </li>
                <?php endif; ?>
                <?php if( $instance['email1'] || $instance['email2'] != '' ): ?>
                    <li>
                        <span>E</span>
                        <a href="<?php echo esc_url( $instance['email_link1'] ); ?>"><?php echo wp_kses_post($instance['email1']); ?></a>
                        <a href="<?php echo esc_url( $instance['email_link2'] ); ?>"><?php echo wp_kses_post($instance['email2']); ?></a>
                    </li>
                <?php endif; ?>
            </ul>
        <?php
        echo wp_kses_post($after_widget);
    }

    function update($new_instance, $old_instance){
        $instance                    = $old_instance;
        $instance['title']           = strip_tags($new_instance['title']);
        $instance['location']        = $new_instance['location'];
        $instance['phone1']          = $new_instance['phone1'];
        $instance['phone_link1']     = $new_instance['phone_link1'];
        $instance['phone2']          = $new_instance['phone2'];
        $instance['phone_link2']     = $new_instance['phone_link2'];
        $instance['email1']          = $new_instance['email1'];
        $instance['email_link1']     = $new_instance['email_link1'];
        $instance['email2']          = $new_instance['email2'];
        $instance['email_link2']     = $new_instance['email_link2'];
        return $instance;
    }

    function form($instance){
        $defaults = array(
            'title'              => esc_html__('Quick Contact', 'guto-toolkit'),
            'location'           => esc_html__('32,Walse Street, New York, USA', 'guto-toolkit'),
            'phone1'             => esc_html__('+964 565 87652', 'guto-toolkit'),
            'phone_link1'        => esc_html__('tel:+964-565-87652', 'guto-toolkit'),
            'phone2'             => esc_html__('+964 565 87655', 'guto-toolkit'),
            'phone_link2'        => esc_html__('tel:+964-565-87655', 'guto-toolkit'),
            'email1'             => esc_html__('hello@guto.com', 'guto-toolkit'),
            'email_link1'        => esc_html__('mailto:hello@guto.com', 'guto-toolkit'),
            'email2'             => esc_html__('info@guto.com', 'guto-toolkit'),
            'email_link2'        => esc_html__('mailto:info@guto.com', 'guto-toolkit'),
        );
        $instance = wp_parse_args((array)$instance, $defaults);
        ?>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('title')); ?>">
                <?php esc_html_e('Title:', 'guto-toolkit'); ?>
                <input class="widget" id="<?php echo esc_attr($this->get_field_id('title')); ?>" name="<?php echo esc_attr($this->get_field_name('title')); ?>" type="text" value="<?php echo wp_kses_post($instance['title']); ?>" />
            </label>
        </p>

        <p>
            <label for="<?php echo esc_attr($this->get_field_id('location')); ?>">
                <?php esc_html_e('Location:', 'guto-toolkit'); ?>
                <input class="widget" id="<?php echo esc_attr($this->get_field_id('location')); ?>" name="<?php echo esc_attr($this->get_field_name('location')); ?>" type="text" value="<?php echo wp_kses_post($instance['location']); ?>" />
            </label>
        </p>

        <p>
            <label for="<?php echo esc_attr($this->get_field_id('phone1')); ?>">
                <?php esc_html_e('Phone Number 1:', 'guto-toolkit'); ?>
                <input class="widget" id="<?php echo esc_attr($this->get_field_id('phone1')); ?>" name="<?php echo esc_attr($this->get_field_name('phone1')); ?>" type="text" value="<?php echo wp_kses_post($instance['phone1']); ?>" />
            </label>
        </p>

        <p>
            <label for="<?php echo esc_attr($this->get_field_id('phone_link1')); ?>">
                <?php esc_html_e('Number Link 1:', 'guto-toolkit'); ?>
                <input class="widget" id="<?php echo esc_attr($this->get_field_id('phone_link1')); ?>" name="<?php echo esc_attr($this->get_field_name('phone_link1')); ?>" type="text" value="<?php echo wp_kses_post($instance['phone_link1']); ?>" />
            </label>
        </p>

        <p>
            <label for="<?php echo esc_attr($this->get_field_id('phone2')); ?>">
                <?php esc_html_e('Phone Number 2:', 'guto-toolkit'); ?>
                <input class="widget" id="<?php echo esc_attr($this->get_field_id('phone2')); ?>" name="<?php echo esc_attr($this->get_field_name('phone2')); ?>" type="text" value="<?php echo wp_kses_post($instance['phone2']); ?>" />
            </label>
        </p>

        <p>
            <label for="<?php echo esc_attr($this->get_field_id('phone_link2')); ?>">
                <?php esc_html_e('Number Link 2:', 'guto-toolkit'); ?>
                <input class="widget" id="<?php echo esc_attr($this->get_field_id('phone_link2')); ?>" name="<?php echo esc_attr($this->get_field_name('phone_link2')); ?>" type="text" value="<?php echo wp_kses_post($instance['phone_link2']); ?>" />
            </label>
        </p>

        <p>
            <label for="<?php echo esc_attr($this->get_field_id('email1')); ?>">
                <?php esc_html_e('Email 1:', 'guto-toolkit'); ?>
                <input class="widget" id="<?php echo esc_attr($this->get_field_id('email1')); ?>" name="<?php echo esc_attr($this->get_field_name('email1')); ?>" type="text" value="<?php echo wp_kses_post($instance['email1']); ?>" />
            </label>
        </p>

        <p>
            <label for="<?php echo esc_attr($this->get_field_id('email_link1')); ?>">
                <?php esc_html_e('Email Link 1:', 'guto-toolkit'); ?>
                <input class="widget" id="<?php echo esc_attr($this->get_field_id('email_link1')); ?>" name="<?php echo esc_attr($this->get_field_name('email_link1')); ?>" type="text" value="<?php echo wp_kses_post($instance['email_link1']); ?>" />
            </label>
        </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('email2')); ?>">
                <?php esc_html_e('Email 2:', 'guto-toolkit'); ?>
                <input class="widget" id="<?php echo esc_attr($this->get_field_id('email2')); ?>" name="<?php echo esc_attr($this->get_field_name('email2')); ?>" type="text" value="<?php echo wp_kses_post($instance['email2']); ?>" />
            </label>
        </p>

        <p>
            <label for="<?php echo esc_attr($this->get_field_id('email_link2')); ?>">
                <?php esc_html_e('Email Link 2:', 'guto-toolkit'); ?>
                <input class="widget" id="<?php echo esc_attr($this->get_field_id('email_link2')); ?>" name="<?php echo esc_attr($this->get_field_name('email_link2')); ?>" type="text" value="<?php echo wp_kses_post($instance['email_link2']); ?>" />
            </label>
        </p>

        <?php
    }

}

function guto_register_yoga_contact() {
    register_widget('guto_yoga_contact');
}

add_action('widgets_init', 'guto_register_yoga_contact');
